PUT V1/Users.{ext}/UpdateUserRoleMappings

This API is used to update the user role mapping details
Mandatory Fields : RoleId

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Security.Entities.Role
NameDescriptionTypeAdditional information
RoleId

No description available

integer

None.

UserId

No description available

integer

None.

RoleName

No description available

string

None.

RoleIds

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "roleId": 1,
  "userId": 2,
  "roleName": "sample string 3",
  "roleIds": "sample string 4"
}

application/xml, text/xml

Sample:
<Role xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Security.Entities">
  <RoleId>1</RoleId>
  <RoleIds>sample string 4</RoleIds>
  <RoleName>sample string 3</RoleName>
  <UserId>2</UserId>
</Role>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

returns action result

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.